---
- name: Show secrets
  hosts: localhost
  vars:
    secrets:
        - secret1.yml
        - secret2.yml 
  tasks:
    - name: load secrets
      ansible.builtin.include_vars:
        file: "{{ item }}"
      with_items:
        - "{{ secrets }}"
      register: clear_secrets

    - name: Afficher variables
      ansible.builtin.debug:
        var: item.ansible_facts
      with_items:
        - "{{ clear_secrets['results'] }}"
